Summary:       X11 Display Manager Control Protocol library 
Name:          libXdmcp
Version:       1.1.4
Release:       3%{?dist}
License:       MIT
URL:           http://www.x.org
Source0:       https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.gz

BuildRequires: make autoconf automake libtool
BuildRequires: xorg-x11-util-macros xorg-x11-proto-devel
BuildRequires: xmlto

%description
The libXdmcp package contains a library implementing
the X Display Manager Control Protocol. This is useful
for allowing clients to interact with the X Display Manager.

%package devel
Summary:       Development files for %{name}
Requires:      %{name} = %{version}-%{release}

%description devel
This package includes header files, libraries necessary for
developing programs which use libXdmcp library.

%prep
%setup -q

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
rm -rf %{buildroot}/
%make_install
rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_docdir}

%files
%license COPYING
%doc AUTHORS ChangeLog Wraphelp.README.crypto
%{_libdir}/libXdmcp.so.6
%{_libdir}/libXdmcp.so.6.0.0

%files devel
%doc README.md
%{_includedir}/X11/Xdmcp.h
%{_libdir}/libXdmcp.so
%{_libdir}/pkgconfig/xdmcp.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.1.4-1
- Upgrade to version 1.1.4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 18 2022 ZoeDong <zoedong@tencent.com> - 1.1.3-1
- Initial build
